### DV: Profits and Sales Index ###

################# MV: Business Practices #################
set.seed(7688);
require(MASS)
a=0.0571327
b=1.19982
rep=20000
conf=95
pest=c(a,b)
acov <- matrix(c(
  0.00005864, 0,
  0, 0.00596066
),2,2)
mcmc <- mvrnorm(rep,pest,acov,empirical=FALSE)
ab <- mcmc[,1]*mcmc[,2]
low=(1-conf/100)/2
upp=((1-conf/100)/2)+(conf/100)
LL=quantile(ab,low)
UL=quantile(ab,upp)
LL4=format(LL,digits=4)
UL4=format(UL,digits=4)
hist(ab,breaks='FD',col='skyblue',xlab=paste(conf,'% Confidence Interval ','LL',LL4,'  UL',UL4),
     main='Distribution Ind. Eff. - MV Bus Pract')

################# MV: Personal Initiative scale #################
set.seed(7688);
require(MASS)
a=0.1204967
b=0.0893418
rep=20000
conf=95
pest=c(a,b)
acov <- matrix(c(
  0.00024387, 0,
  0, 0.00042301
),2,2)
mcmc <- mvrnorm(rep,pest,acov,empirical=FALSE)
ab <- mcmc[,1]*mcmc[,2]
low=(1-conf/100)/2
upp=((1-conf/100)/2)+(conf/100)
LL=quantile(ab,low)
UL=quantile(ab,upp)
LL4=format(LL,digits=4)
UL4=format(UL,digits=4)
hist(ab,breaks='FD',col='skyblue',xlab=paste(conf,'% Confidence Interval ','LL',LL4,'  UL',UL4),
     main='Distribution Ind. Eff. - MV PI')

################# MV: Capital and Labor Inputs #################
set.seed(7688);
require(MASS)
a=0.0794818
b=0.5866218
rep=20000
conf=95
pest=c(a,b)
acov <- matrix(c(
  0.00048374, 0,
  0, 0.00224463
),2,2)
mcmc <- mvrnorm(rep,pest,acov,empirical=FALSE)
ab <- mcmc[,1]*mcmc[,2]
low=(1-conf/100)/2
upp=((1-conf/100)/2)+(conf/100)
LL=quantile(ab,low)
UL=quantile(ab,upp)
LL4=format(LL,digits=4)
UL4=format(UL,digits=4)
hist(ab,breaks='FD',col='skyblue',xlab=paste(conf,'% Confidence Interval ','LL',LL4,'  UL',UL4),
     main='Distribution Ind. Eff. - MV Cap and Lab')

################# MV: Innovation Index #################
set.seed(7688);
require(MASS)
a=0.3096783
b=0.0288382
rep=20000
conf=95
pest=c(a,b)
acov <- matrix(c(
  0.00504405, 0,
  0, 0.00051373
),2,2)
mcmc <- mvrnorm(rep,pest,acov,empirical=FALSE)
ab <- mcmc[,1]*mcmc[,2]
low=(1-conf/100)/2
upp=((1-conf/100)/2)+(conf/100)
LL=quantile(ab,low)
UL=quantile(ab,upp)
LL4=format(LL,digits=4)
UL4=format(UL,digits=4)
hist(ab,breaks='FD',col='skyblue',xlab=paste(conf,'% Confidence Interval ','LL',LL4,'  UL',UL4),
     main='Distribution Ind. Eff. - MV Innovation')

################# MV: Changed Activity #################
################################################
set.seed(7688);
require(MASS)
a=0.0915248
b=0.0520723
rep=20000
conf=95
pest=c(a,b)
acov <- matrix(c(
  0.0003306, 0,
  0, 0.00061286
),2,2)
mcmc <- mvrnorm(rep,pest,acov,empirical=FALSE)
ab <- mcmc[,1]*mcmc[,2]
low=(1-conf/100)/2
upp=((1-conf/100)/2)+(conf/100)
LL=quantile(ab,low)
UL=quantile(ab,upp)
LL4=format(LL,digits=4)
UL4=format(UL,digits=4)
hist(ab,breaks='FD',col='skyblue',xlab=paste(conf,'% Confidence Interval ','LL',LL4,'  UL',UL4),
     main='Distribution Ind. Eff. - MV Changed Activity')


################# MV: Access to Finance #################
################################################
set.seed(7688);
require(MASS)
a=0.1258192
b=0.1877289
rep=20000
conf=95
pest=c(a,b)
acov <- matrix(c(
  0.00177072, 0,
  0, 0.00624433
),2,2)
mcmc <- mvrnorm(rep,pest,acov,empirical=FALSE)
ab <- mcmc[,1]*mcmc[,2]
low=(1-conf/100)/2
upp=((1-conf/100)/2)+(conf/100)
LL=quantile(ab,low)
UL=quantile(ab,upp)
LL4=format(LL,digits=4)
UL4=format(UL,digits=4)
hist(ab,breaks='FD',col='skyblue',xlab=paste(conf,'% Confidence Interval ','LL',LL4,'  UL',UL4),
     main='Distribution Ind. Eff. - MV Access to Finance')


############### MULTIPLE MEDIATION MODELS #####################################
######## DV: Profits and Sales Index, MV: Business Practices, Personal Initiative Scale, Capital and Labor Inputs, Changed Activity, Access to Finance ###########
set.seed(7688);
a1=0.0571327 #estimated coefficient a1
a2=0.1204967 #estimated coefficient a2
a3=0.0794818 #estimated coefficient a3
a4=0.0915248 #estimated coefficient a4
a5=0.1258192 #estimated coefficient a5
b1=0.580693  #estimated coefficient b1
b2=0.0014903 #estimated coefficient b2
b3=0.4775332 #estimated coefficient b3
b4=-0.0451788 #estimated coefficient b4
b5=-0.0961155 #estimated coefficient b5
a1std=0.0076578 #SE of coefficient a1
a2std=0.0156163 #SE of coefficient a2
a3std=0.0219941 #SE of coefficient a3
a4std=0.0181824 #SE of coefficient a4
a5std=0.0420799 #SE of coefficient a5
b1std=0.0920903 #SE of coefficient b1
b2std=0.022839 #SE of coefficient b2
b3std=0.0596089 #SE of coefficient b3
b4std=0.0274434 #SE of coefficient b4
b5std=0.0618281 #SE of coefficient b5
rep=20000 #number of simulated values
conf=95 #confidence level
a1vec=rnorm(rep)*a1std+a1 #create vector of simulated a1 coefficients
a2vec=rnorm(rep)*a2std+a2 #create vector of simulated a2 coefficients
a3vec=rnorm(rep)*a3std+a3 #create vector of simulated a3 coefficients
a4vec=rnorm(rep)*a4std+a4 #create vector of simulated a4 coefficients
a5vec=rnorm(rep)*a5std+a5 #create vector of simulated a5 coefficients
b1vec=rnorm(rep)*b1std+b1 #create vector of simulated b1 coefficients
b2vec=rnorm(rep)*b2std+b2 #create vector of simulated b2 coefficients
b3vec=rnorm(rep)*b3std+b3 #create vector of simulated b3 coefficients
b4vec=rnorm(rep)*b4std+b4 #create vector of simulated b4 coefficients
b5vec=rnorm(rep)*b5std+b5 #create vector of simulated b4 coefficients
total=(a1vec*b1vec)+(a2vec*b2vec)+(a3vec*b3vec) +(a4vec*b4vec) +(a5vec*b5vec) # simulated total indirect effects
low=(1-conf/100)/2
upp=((1-conf/100)/2)+(conf/100)
LL=quantile(total,low) #lower limit of confidence interval
UL=quantile(total,upp) #upper quantile for confidence interval
LL4=format(LL,digits=4)
UL4=format(UL,digits=4)
hist(total,breaks = 'FD',col ='skyblue',
     xlab=paste(conf,'% Confidence Interval ',' LL',LL4,' UL',UL4),
     main ='Distribution of Total Indirect Effect')

